LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-09-2011, 09:48 AM   #1
sephstorm
LQ Newbie
 
Registered: Aug 2010
Distribution: Fedora
Posts: 18

Rep: Reputation: 0
Problem installing SnortSP


Hi all. I am trying to install SnortSp using the instructions found here:

http://securityonion.blogspot.com/20...beta-3-on.html

all is good so far outside of the name and download location of the snort package (459 vice the name of the file:0 )

Problem comes when I get to: ./configure

everything is going until:

checking for pcap_datalink in -lpcap... yes
checking for luaL_newstate in -llua5.1... no
checking for luaL_newstate in -llua... no

ERROR! Lua library/headers not found, go get it from
http://www.lua.org

Now I know that lua is installed, it appears in the ubuntu software manager, but I don't know how to get the needed files or what they are called, etc. help?

OS: xubuntu
 
Old 06-09-2011, 10:06 AM   #2
bigrigdriver
LQ Addict
 
Registered: Jul 2002
Location: East Centra Illinois, USA
Distribution: Debian Jessie 8.4
Posts: 5,873

Rep: Reputation: 348Reputation: 348Reputation: 348Reputation: 348
Sounds like you need to install the lua-devel package, which you can find here: http://pkgs.org/package/lua-devel
 
1 members found this post helpful.
Old 06-09-2011, 10:30 AM   #3
sephstorm
LQ Newbie
 
Registered: Aug 2010
Distribution: Fedora
Posts: 18

Original Poster
Rep: Reputation: 0
okay, I was able to find lua-dev in USM (the quoted website didnt have a ubuntu package).

I may use this thread for other issues during this install if you guys dont mind.

I miss windows binaries.

EDITED out for clarity

Last edited by sephstorm; 06-09-2011 at 12:26 PM.
 
Old 06-09-2011, 12:24 PM   #4
sephstorm
LQ Newbie
 
Registered: Aug 2010
Distribution: Fedora
Posts: 18

Original Poster
Rep: Reputation: 0
FYI, I went back and started over, my first error occurs during the first "make"

gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../src/s_util/libsbpf/bpf -I../../src/s_util/libsbpf/net -I../../src/s_util -I../../src/s_util/include -I../../src/data_source -I../../src/data_source/daq -I../../src/data_source/decode -I../../src/data_source/flow -I../../src/platform -I../../src/comms -I../../src/analysis -I../../src/output -I.. -I/usr/include/pcap -I/usr/include/pcap -D_GNU_SOURCE -fno-strict-aliasing -I/usr/include/lua5.1 -Wall -Werror -DBUILDING_SO -g -fno-strict-aliasing -fvisibility=hidden -O2 -DLUA_USE_LINUX -D_GNU_SOURCE -MT libsutil_la-s_daemonize.lo -MD -MP -MF .deps/libsutil_la-s_daemonize.Tpo -c s_daemonize.c -fPIC -DPIC -o .libs/libsutil_la-s_daemonize.o
cc1: warnings being treated as errors
s_daemonize.c: In function 's_create_pid_file':
s_daemonize.c:67: error: ignoring return value of 'ftruncate', declared with attribute warn_unused_result
s_daemonize.c:68: error: ignoring return value of 'write', declared with attribute warn_unused_result
make[4]: *** [libsutil_la-s_daemonize.lo] Error 1
make[4]: Leaving directory `/usr/local/src/snortsp-3.0.0b3/src/s_util'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/src/snortsp-3.0.0b3/src/s_util'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/src/snortsp-3.0.0b3/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/snortsp-3.0.0b3'
make: *** [all] Error 2

Last edited by sephstorm; 06-09-2011 at 12:26 PM.
 
Old 06-09-2011, 02:58 PM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
Not quite clear, which version of Ubuntu, you are using. Please specify.


'snortsp-3.0.0b3' is dated 2008 and will compile with gcc-4.4.1 or older.

Ubuntu example :
'cd snortsp-3.0.0b3/ && export CC=gcc-4.3 && ./configure && make' EDIT: See #7.

..

Last edited by knudfl; 06-09-2011 at 11:02 PM.
 
Old 06-09-2011, 05:26 PM   #6
sephstorm
LQ Newbie
 
Registered: Aug 2010
Distribution: Fedora
Posts: 18

Original Poster
Rep: Reputation: 0
hi, thanks for your answer. i'm running xubuntu (ubuntu Ubuntu 10.04.2 LTS) with 2.6.32-30-generic kernel.

I did go and download and install gcc 4.3, but no luck, still throwing errors.

gcc-4.3 -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../src/s_util/libsbpf/bpf -I../../src/s_util/libsbpf/net -I../../src/s_util -I../../src/s_util/include -I../../src/data_source -I../../src/data_source/daq -I../../src/data_source/decode -I../../src/data_source/flow -I../../src/platform -I../../src/comms -I../../src/analysis -I../../src/output -I.. -I/usr/include/pcap -I/usr/include/pcap -D_GNU_SOURCE -fno-strict-aliasing -I/usr/include/lua5.1 -Wall -Werror -DBUILDING_SO -g -fno-strict-aliasing -fvisibility=hidden -O2 -DLUA_USE_LINUX -D_GNU_SOURCE -MT libsutil_la-s_daemonize.lo -MD -MP -MF .deps/libsutil_la-s_daemonize.Tpo -c s_daemonize.c -fPIC -DPIC -o .libs/libsutil_la-s_daemonize.o
cc1: warnings being treated as errors
s_daemonize.c: In function 's_create_pid_file':
s_daemonize.c:67: error: ignoring return value of 'ftruncate', declared with attribute warn_unused_result
s_daemonize.c:68: error: ignoring return value of 'write', declared with attribute warn_unused_result
make[4]: *** [libsutil_la-s_daemonize.lo] Error 1
make[4]: Leaving directory `/usr/local/src/snortsp-3.0.0b3/src/s_util'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/src/snortsp-3.0.0b3/src/s_util'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/src/snortsp-3.0.0b3/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/snortsp-3.0.0b3'
make: *** [all] Error 2
 
Old 06-09-2011, 10:59 PM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
OK, Ubuntu 10.04.

Snortsp-3.0.0b3 isn't working with any new Ubuntu compilers, it seems.
( gcc-4.1 , gcc-4.3 , gcc-4.4 )


A different compiler then : "3.4.6"

'cd snortsp-3.0.0b3/ && export CC=gcc-3.4 CXX=g++-3.4 && ./configure && make'

..
 
Old 06-10-2011, 05:42 AM   #8
sephstorm
LQ Newbie
 
Registered: Aug 2010
Distribution: Fedora
Posts: 18

Original Poster
Rep: Reputation: 0
its not in USC, and of course it encountered problems when I attempted to install it. I am nearly at my wits end with this distro.
 
Old 06-10-2011, 06:04 AM   #9
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
Quote:
It's not in USC
If you mean gcc / g++ version 3.4 /// 'Ubuntu software center' :
Please add 'hardy' to /etc/apt/sources.list :
Code:
deb http://76.73.4.58/ubuntu/ hardy-updates main
deb http://76.73.4.58/ubuntu/ hardy universe
deb http://security.ubuntu.com/ubuntu hardy-security main
deb http://security.ubuntu.com/ubuntu hardy-security universe
Then you can do :
sudo apt-get update && sudo apt-get install g++-3.4

..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing Slackware on virtual box Problem, ext4 problem alfa_80 Linux - Newbie 14 01-16-2011 01:00 PM
Installing Simplescalar: Problem installing simpleutils yy_current_buffer’ undeclared niteshg Linux - Software 1 07-03-2009 05:09 PM
problem doing yum updates and what may be a similar problem installing vlm bad horsie Linux - Newbie 3 12-27-2008 03:51 AM
Problem Installing Limewire - Received Errors While Installing taurusx5 Linux - Software 2 08-05-2008 03:39 AM
Installing Red5 - Problem @ Installing fedora-rpmdevtools Aziz Linux - Software 2 11-04-2006 03:57 PM


All times are GMT -5. The time now is 04:28 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration